Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::TagInfo Struct Reference

Information for a single tag. More...

## Public Attributes
int | rackUnitNumber
| The rack unit index this tag is connected to, range 0..rackUnitCount-1.
int | slotNumber
| Blade slot this tag is connected to, 0 is the main strip, >0 for blades.
string | familyDesc
| Tag family description, indicating different tag hardware.
string | rawId
| The asset tag ID (6 byte hexadecimal string 'AABBCCDDEEFF')
boolean | programmable
| Is the asset tag ID programmable?

## Detailed Description

Information for a single tag.

Definition at line 90 of file AssetStrip.idl.

## Member Data Documentation

## ◆ familyDesc

string assetmgrmodel::AssetStrip::TagInfo::familyDesc

Tag family description, indicating different tag hardware.

Definition at line 93 of file AssetStrip.idl.

## ◆ programmable

boolean assetmgrmodel::AssetStrip::TagInfo::programmable

Is the asset tag ID programmable?

Definition at line 95 of file AssetStrip.idl.

## ◆ rackUnitNumber

int assetmgrmodel::AssetStrip::TagInfo::rackUnitNumber

The rack unit index this tag is connected to, range 0..rackUnitCount-1.

Definition at line 91 of file AssetStrip.idl.

## ◆ rawId

string assetmgrmodel::AssetStrip::TagInfo::rawId

The asset tag ID (6 byte hexadecimal string 'AABBCCDDEEFF')

Definition at line 94 of file AssetStrip.idl.

## ◆ slotNumber

int assetmgrmodel::AssetStrip::TagInfo::slotNumber

Blade slot this tag is connected to, 0 is the main strip, >0 for blades.

Definition at line 92 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl